Bug 463824 - [LTC 6.0 FEAT] 201755:Shutdown actions tools
[LTC 6.0 FEAT] 201755:Shutdown actions tools
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils (Show other bugs)
6.0
s390x All
medium Severity high
: rc
: ---
Assigned To: Dan Horák
:
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-24 16:10 EDT by IBM Bug Proxy
Modified: 2010-10-18 05:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 16:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 16:10:53 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:51 EDT
1. Feature Overview:
Feature Id:	[201755]
a. Name of Feature:	Shutdown actions tools
b. Feature Description
This feature provides tools to configure a (one-time) shutdown action via the command line.  The
shutdown action should by default not be made permanent (i.e it will not be added to the respective
configuration files). Instead the tool should only write the resulting information to the respective
sysfs files. If requested by the user, a change to the shutdown action configuration files should be
made as well.        The advantage of this extra tool is    a) online documentation via a man page 
  b) easy configuration of a one-time shutdown action without having to understand configuration
file format and syfs interface      The new tools are: chreipl, chshut, lsreipl and lsshut.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Direct from community
Category:	RAS
Request Type:	Package - Feature from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	s390tools 1.8.0

3. Business Case
This features enhance capability of system administration tasks and enhances ease of use, improving
the customer satisfaction.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-09-24 16:56:30 EDT
This needs to be generic across architectures.
Comment 3 IBM Bug Proxy 2008-10-09 07:20:57 EDT
(In reply to comment #4)
> ------- Comment From notting@redhat.com 2008-09-24 16:56:30 EDT-------
> This needs to be generic across architectures.

The interface of the Linux on System z kernel is completely different from what is common in the x86 world. Can you name a similar tool for x86 systems?

With best regards,

--Hans
Comment 4 Bill Nottingham 2008-10-09 10:58:38 EDT
lilo used to have a -R option, I suspect something similar *could* be implemented for grub or yaboot.
Comment 5 IBM Bug Proxy 2008-10-09 15:40:27 EDT
(In reply to comment #6)
> ------- Comment From notting@redhat.com 2008-10-09 10:58:38 EDT-------
> lilo used to have a -R option, I suspect something similar *could* be
> implemented for grub or yaboot.
>

Unfortunately neither grub nor yaboot are available on s390
Comment 6 Bill Nottingham 2008-10-09 15:44:10 EDT
That's not the point; the point is that the admin interface should be common, not disparate.
Comment 7 IBM Bug Proxy 2009-03-04 03:30:46 EST
The code for this feature get delivered in s390-tools with feature request:
48095  - RHBZ 462976  [LTC 6.0 FEAT] 201674: Pick up latest version of
s390-tools
Comment 8 IBM Bug Proxy 2010-09-29 08:51:11 EDT
------- Comment From gmuelas@de.ibm.com 2010-09-29 08:49 EDT-------
This feature is still being verified, but we do not expect any issues here and
will be verified before GA.
Comment 9 IBM Bug Proxy 2010-10-18 05:20:46 EDT
------- Comment From mgrf@de.ibm.com 2010-10-18 05:17 EDT-------
This feature is verified on R6 snapshots - set to verified

Note You need to log in before you can comment on or make changes to this bug.